---
sidebar_position: 19
description: Get task history and other functions to work with Bitrix24 in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, Bitrix24]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Get task history
 Get history of task changing



`Function GetTaskHistory(Val URL, Val TaskID, Val Token = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | URL | --url | String | &#x2714; | URL of webhook or a Bitrix24 domain, when token used |
  | TaskID | --task | Number, String | &#x2714; | Task ID |
  | Token | --token | String | &#x2716; | Access token, when app auth method used |

  
  Returns:  Map Of KeyAndValue - serialized JSON of answer from Bitrix24 API

:::tip
Method at API documentation: [tasks.task.history.list](https://dev.1c-bitrix.ru/rest_help/tasks/task/tasks/tasks_task_history_list.php)
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    URL    = "https://b24-ar17wx.bitrix24.by/rest/1/h0m...";
    TaskID = "9036";

    Result = OPI_Bitrix24.GetTaskHistory(URL, TaskID);

    URL    = "b24-ar17wx.bitrix24.by";
    Token  = "6ad03969006e9f06006b12e400000001000...";
    TaskID = "9038";

    Result = OPI_Bitrix24.GetTaskHistory(URL, TaskID, Token);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint bitrix24 GetTaskHistory \
             --url "b24-ar17wx.bitrix24.by" \
             --task "9048" \
             --token "***"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint bitrix24 GetTaskHistory ^
             --url "b24-ar17wx.bitrix24.by" ^
             --task "9048" ^
             --token "***"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "result": {
  "list": [
   {
    "id": 114774,
    "createdDate": "2025-12-10T19:49:11+00:00",
    "field": "NEW",
    "value": {
     "from": null,
     "to": null
    },
    "user": {
     "id": 1,
     "name": "Антон",
     "lastName": "Титовец",
     "secondName": "",
     "login": "VKuser657846756"
    }
   },
   {
    "id": 114776,
    "createdDate": "2025-12-10T19:49:14+00:00",
    "field": "START_DATE_PLAN",
    "value": {
     "from": "",
     "to": "1765396151"
    },
    "user": {
     "id": 1,
     "name": "Антон",
     "lastName": "Титовец",
     "secondName": "",
     "login": "VKuser657846756"
    }
   },
   {
    "id": 114778,
    "createdDate": "2025-12-10T19:49:14+00:00",
    "field": "END_DATE_PLAN",
    "value": {
     "from": "",
     "to": "1765400400"
    },
    "user": {
     "id": 1,
     "name": "Антон",
     "lastName": "Титовец",
     "secondName": "",
     "login": "VKuser657846756"
    }
   },
   {
    "id": 114780,
    "createdDate": "2025-12-10T19:49:14+00:00",
    "field": "DURATION_PLAN_SECONDS",
    "value": {
     "from": "",
     "to": "4249"
    },
    "user": {
     "id": 1,
     "name": "Антон",
     "lastName": "Титовец",
     "secondName": "",
     "login": "VKuser657846756"
    }
   },
   {
    "id": 114794,
    "createdDate": "2025-12-10T19:49:28+00:00",
    "field": "TITLE",
    "value": {
     "from": "New task",
     "to": "Another task title"
    },
    "user": {
     "id": 1,
     "name": "Антон",
     "lastName": "Титовец",
     "secondName": "",
     "login": "VKuser657846756"
    }
   },
   {
    "id": 114796,
    "createdDate": "2025-12-10T19:49:28+00:00",
    "field": "DESCRIPTION",
    "value": {
     "from": "",
     "to": ""
    },
    "user": {
     "id": 1,
     "name": "Антон",
     "lastName": "Титовец",
     "secondName": "",
     "login": "VKuser657846756"
    }
   },
   {
    "id": 114798,
    "createdDate": "2025-12-10T19:49:28+00:00",
    "field": "PRIORITY",
    "value": {
     "from": "2",
     "to": "1"
    },
    "user": {
     "id": 1,
     "name": "Антон",
     "lastName": "Титовец",
     "secondName": "",
     "login": "VKuser657846756"
    }
   },
   {
    "id": 114804,
    "createdDate": "2025-12-10T19:49:59+00:00",
    "field": "RESPONSIBLE_ID",
    "value": {
     "from": "1",
     "to": "2960"
    },
    "user": {
     "id": 1,
     "name": "Антон",
     "lastName": "Титовец",
     "secondName": "",
     "login": "VKuser657846756"
    }
   },
   {
    "id": 114806,
    "createdDate": "2025-12-10T19:49:59+00:00",
    "field": "COMMENT",
    "value": {
     "from": null,
     "to": "20936"
    },
    "user": {
     "id": 1,
     "name": "Антон",
     "lastName": "Титовец",
     "secondName": "",
     "login": "VKuser657846756"
    }
   },
   {
    "id": 114810,
    "createdDate": "2025-12-10T19:50:04+00:00",
...
```
